%define desktop_file 0
%define desktop_file_utils_version 0.2.93

%define _unpackaged_files_terminate_build 0
%define toolkit_options --disable-freetype2
%define builddir %{_builddir}/mozilla

%define libffiver 20020115

Name:        mozilla
Summary:     Web browser and mail reader
Version:     1.4.3
Release:     2.1.4ml
Epoch:       37
License:     MPL/NPL/GPL/LGPL
Source0:     mozilla-source-1.4.3.tar.bz2
Source1:     mozilla.sh.in
Source2:     mozilla-icon.png
Source3:     libffi-%{libffiver}.tar.gz
Source4:     mozilla.desktop
Source7:     mozilla-make-package.pl
Source9:     mozicon16.xpm
Source10:    mozicon50.xpm
Source11:    mozilla-rebuild-databases.pl.in
Source12:    mozilla-mail.desktop
Source13:    mozilla-mail-icon.png
Source14:    mozilla-compose.desktop
Source15:    mozilla-compose-icon.png
Source17:    mozilla-psm-exclude-list
Source18:    mozilla-xpcom-exclude-list
Source19:    mozilla-redhat-default-bookmarks.html
Source20:    mozilla-1.4-0.3-langpacks.tar.bz2
Source30:    mozilla-miracle-default-bookmarks.html
Patch0:      mozilla-navigator-overlay-menu.patch
Patch1:      mozilla-editor-overlay-menu.patch
Patch6:      mozilla-prefs-debug.patch
Patch7:      mozilla-redhat-home-page.patch
Patch12:     mozilla-psfonts-7.2.patch
Patch13:     mozilla-nspr-packages.patch
Patch14:     mozilla-default-plugin-less-annoying.patch
Patch18:     mozilla-redhat-sidebar.patch
Patch22:     mozilla-1.4-x86_64.patch

Patch24:     mozilla-1.4-js-failure.patch
Patch26:     mozilla-1.4.1-embedding-crash.patch
Patch27:     mozilla-1.4.1-mouseout.patch
Patch28:     mozilla-1.4.1-ppc64.patch
Patch29:     mozilla-1.4-prdtoa.patch
Patch31:     mozilla-1.4.1-gtk2-clipboard.patch
Patch32:     mozilla-xft-specbuffer.patch
Patch36:     mozilla-1.4.1-font-perms.patch
Patch37:     mozilla-1.4.1-profile.patch

# ia64 stuff
Patch100:     libffi-ia64-mozilla.patch
Patch101:     libffi-nogcc3.patch
Patch102:     mozilla-ia64.patch

# libffi stuff

Buildroot:   %{_tmppath}/%{name}-root
Prefix:      /usr
Group:       Applications/Internet
Provides:    webclient
BuildPrereq: libpng-devel, libjpeg-devel, zlib-devel, zip, perl, autoconf, ORBit-devel, glib-devel, gtk+-devel, autoconf
ExclusiveArch: i386 i686 ia64
Prereq:      fileutils perl
Prereq:      /usr/bin/killall
Requires:    mozilla-nspr = %{epoch}:%{version}-%{release}
Requires:    mozilla-nss = %{epoch}:%{version}-%{release}
Requires:    indexhtml
Obsoletes:   mozilla-psm


%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability.

%package nspr
Summary: Netscape Portable Runtime
Group: Applications/Internet
Conflicts: mozilla < 35:0.9.9

%description nspr
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package nspr-devel
Summary: Development Libraries for the Netscape Portable Runtime
Group: Development/Libraries
Requires: mozilla-nspr = %{epoch}:%{version}-%{release}

%description nspr-devel
Header files for doing development with the Netscape Portable Runtime.

%package nss
Summary: Network Security Services
Group: Applications/Internet
Requires: mozilla-nspr = %{epoch}:%{version}-%{release}

%description nss
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled server
applications. Applications built with NSS can support SSL v2 and v3,
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3
certificates, and other security standards.

%package nss-devel
Summary: Development Libraries for Network Security Services
Group: Applications/Internet
Requires: mozilla-nspr-devel = %{epoch}:%{version}-%{release}
Requires: mozilla-nss = %{epoch}:%{version}-%{release}

%description nss-devel
Header files to doing development with Network Security Services.

%package devel
Summary: Development files for Mozilla
Group: Development/Libraries
Requires: mozilla = %{epoch}:%{version}-%{release}
Requires: mozilla-nspr-devel = %{epoch}:%{version}-%{release}
Requires: mozilla-nss-devel = %{epoch}:%{version}-%{release}

%description devel
Development header files for mozilla.

%package mail
Summary: Mozilla-based mail system
Group: Applications/Internet
Prereq:      fileutils mozilla = %{epoch}:%{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package chat
Summary: IRC client integrated with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description chat
IRC client that is integrated with the Mozilla web browser.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Applications/Internet
Prereq: fileutils mozilla = %{epoch}:%{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.

%prep

%setup -q -n mozilla

# not needed for 1.0
#%patch0 -p1
#%patch0 -p1 -R

#%patch1 -p1
#%patch1 -p1 -R

# not needed for 1.0
#%patch6 -p1
#%patch6 -p1 -R

%patch7 -p1

# Can't hurt to leave this in since the defaults are empty.
%patch12 -p1

%patch13 -p1

# make the plugin dialog less annoying and disable redirection to the
# plugin downloader page.
%patch14 -p1

# make sure to use only the right sidebar panels
%patch18 -p1

%patch22 -p1 -b .x86_64

# js problems with frames and src=
# http://bugzilla.mozilla.org/show_bug.cgi?id=217000
%patch24 -p0 -b .jsfail

# problems with some embedding windows crashing
# http://bugzilla.mozilla.org/show_bug.cgi?id=218203
%patch26 -p1 -b .embed

# problems with some window managers generating mouseout events when
# clicking from the window manager.
# http://bugzilla.mozilla.org/show_bug.cgi?id=102578
%patch27 -p1 -b .mouseout

# add nss build support for ppc64
%patch28 -p1

# work around problems with prdtoa.c
%patch29 -p1

# "Paste" is not possble after a "Cut" on GTK2 build
# http://bugzilla.mozilla.org/show_bug.cgi?id=209496
%patch31 -p1

# make sure to use the right size for the spec buffer when rendering
# some pages
# http://bugzilla.mozilla.org/show_bug.cgi?id=213734
%patch32 -p1

# don't crash when iterating over fonts you can't read
# http://bugzilla.mozilla.org/show_bug.cgi?id=183729
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=109334
%patch36 -p1

# mozilla attempts to convert profiles from empty .netscape and
# .netscape6 dirs
# http://bugzilla.mozilla.org/show_bug.cgi?id=171509
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=104205
%patch37 -p1

# go, go, gadget libffi!
%ifarch ia64
tar xzvf %{SOURCE3}
cd libffi-%{libffiver}
%patch100 -p1
%patch101 -p1
cd ..
%patch102 -p1
%endif


# set up our default bookmarks
/bin/cp %{SOURCE19} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html
# set up miracle defaults bookmarks
/bin/cp %{SOURCE30} $RPM_BUILD_DIR/mozilla/profile/defaults/bookmarks.html

%build

autoconf

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifarch ia64
cd libffi-%{libffiver}
mkdir obj
cd obj
CFLAGS="$RPM_OPT_FLAGS" ../configure --disable-shared --prefix=/usr
make %{_smp_mflags}
mv .libs lib
cd ../..
%endif

# build mozilla - XCFLAGS is for NSS which can't use CFLAGS for
# various reasons
%ifarch ia64
OPTFLAGS=-O0
%else
OPTFLAGS=-O2
%endif

%ifarch ia64
CXXFLAGS="-fno-inline" \
LDFLAGS="-Wl,--relax" \
%endif
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	./configure --prefix=%{_prefix} --libdir=%{_libdir} \
	--enable-optimize=$OPTFLAGS \
	--disable-debug \
	--with-default-mozilla-five-home=%{_libdir}/mozilla-%{version} \
	--disable-tests \
	--enable-xinerama \
	--enable-nspr-autoconf \
	--enable-extensions=default,irc \
	--without-mng \
	--enable-crypto \
	--disable-xprint \
	--without-system-nspr \
	--with-system-jpeg \
	--with-system-png \
	--with-system-zlib \
	%{toolkit_options} \
	--enable-old-abi-compat-wrappers \
%ifarch ia64
        --enable-libffi \
        --with-libffi=$RPM_BUILD_DIR/mozilla/libffi-%{libffiver}/obj \
%endif
	--mandir=%{_mandir}


BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j$CPUS libs

%install
/bin/rm -rf $RPM_BUILD_ROOT

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install

# create a list of all of the different package and the files that
# will hold them

/bin/rm -f %{builddir}/mozilla.list
/bin/rm -f %{builddir}/mozilla-mail.list
/bin/rm -f %{builddir}/mozilla-chat.list
/bin/rm -f %{builddir}/mozilla-js-debugger.list
/bin/rm -f %{builddir}/mozilla-dom-inspector.list

echo %defattr\(-,root,root\) > %{builddir}/mozilla.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-mail.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-chat.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-js-debugger.list
echo %defattr\(-,root,root\) > %{builddir}/mozilla-dom-inspector.list

# NSS and NSPR are both installed into /usr/lib instead of
# /usr/lib/mozilla-VERSION

pushd .
cd $RPM_BUILD_ROOT%{_libdir}/mozilla-%{version}
# move nspr
mv -v \
  libnspr4.so libplc4.so libplds4.so \
  $RPM_BUILD_ROOT/%{_libdir}/

# move psm
mv -v \
  libnss3.so libsmime3.so libsoftokn3.so libsoftokn3.chk libssl3.so \
  $RPM_BUILD_ROOT%{_libdir}/

# libnssckbi.so must be in both places
cp -v libnssckbi.so $RPM_BUILD_ROOT%{_libdir}/
popd

# we don't want to ship mozilla's default sidebar components
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/bugzilla.gif
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/bugzilla.src
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/dmoz.gif
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/dmoz.src
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/lxrmozilla.gif
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/lxrmozilla.src
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/mozilla.gif
rm -f $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/searchplugins/mozilla.src

/bin/rm -f %{builddir}/mozilla-nspr.list
%{SOURCE7} --package nspr --output-file %{builddir}/mozilla-nspr.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root %{_libdir}

/bin/rm -f %{builddir}/mozilla-nss.list
%{SOURCE7} --package nss --output-file %{builddir}/mozilla-nss.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir} \
    --install-root /usr/lib

# manually add the libnssckbi.so file
echo /usr/lib/mozilla-%{version}/libnssckbi.so >> %{builddir}/mozilla-nss.list

# build all of the default browser components
# base mozilla package (mozilla.list)
%{SOURCE7} --package langenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package regus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package deflenus --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package xpcom --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version} \
    --exclude-file=%{SOURCE18}

%{SOURCE7} --package browser --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package spellcheck --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package psm --output-file %{builddir}/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version} \
    --exclude-file=%{SOURCE17}

# mozilla mail (mozilla-mail.list)
%{SOURCE7} --package mail --output-file %{builddir}/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# mozilla chat (mozilla-chat.list)
%{SOURCE7} --package chatzilla --output-file %{builddir}/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package venkman --output-file %{builddir}/mozilla-js-debugger.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

%{SOURCE7} --package inspector --output-file %{builddir}/mozilla-dom-inspector.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version} \
    --install-root %{_libdir}/mozilla-%{version}

# build our initial component and chrome registry
pushd `pwd`
  cd $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}

  # save a copy of the default installed-chrome.txt file before we
  # muck with it
  mkdir chrome/lang
  cp chrome/installed-chrome.txt chrome/lang/

  # register our components
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt

  # save the defaults in a file that will be used later to rebuild the
  # installed-chrome.txt file
  echo "skin,install,select,classic/1.0" >> chrome/lang/default.txt
  echo "locale,install,select,en-US" >> chrome/lang/default.txt

  # install our localizations
  tar xjf %{SOURCE20}

  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`:`pwd`/.. MOZILLA_FIVE_HOME=`pwd` ./regchrome
  # fix permissions of the chrome directories
  /usr/bin/find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

# copy the nss files to the right place
mkdir $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/

/usr/bin/find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/nss/ \;

# build the list of include files
rm -f %{builddir}/mozilla-devel.list
rm -f %{builddir}/mozilla-nss-devel.list
rm -f %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nss" | \
  grep -v "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nspr" > \
  %{builddir}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT/%{prefix}/include/mozilla-%{version}/ -type f| \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "/%{prefix}/include/mozilla-%{version}/nss" > \
  %{builddir}/mozilla-nss-devel.list

# copy our idl into place
#mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version}
#(cd dist/idl ; tar chf - * | \
#  (cd $RPM_BUILD_ROOT/%{prefix}/share/idl/mozilla-%{version} ; \
#   tar xvf -))

# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT/%{prefix}/lib/mozilla-%{version}

# set up our desktop files
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/

# install desktop files in correct directory
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
install -c -m 644  %{SOURCE12} %{SOURCE14} \
   $RPM_BUILD_ROOT%{_datadir}/applications/
%else
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
install -c -m 644  %{SOURCE4} %{SOURCE12} %{SOURCE14} \
   $RPM_BUILD_ROOT/etc/X11/applnk/Internet
%endif

install -c -m 644 %{SOURCE2} %{SOURCE13} %{SOURCE15} \
  $RPM_BUILD_ROOT/%{prefix}/share/pixmaps/

if [ ! -d $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/icons/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/icons
fi

if [ ! -d $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/plugins/ ]; then
  mkdir -m 755 $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/plugins
fi

# our icons are better!
install -c -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/icons/
install -c -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/icons/

# install our mozilla.sh file
cat %{SOURCE1} | sed -e 's/MOZILLA_VERSION/%{version}/g' \
		     -e 's,LIBDIR,%{_libdir},g' > \
  $RPM_BUILD_ROOT/usr/bin/mozilla

chmod 755 $RPM_BUILD_ROOT/usr/bin/mozilla

# install our rebuild file
cat %{SOURCE11} | sed -e 's/MOZILLA_VERSION/%{version}/g' > \
  $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl

chmod 755 \
  $RPM_BUILD_ROOT/%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl

# we own /usr/lib/mozilla/plugins which is the version-independent
# place that plugins can be installed
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins

# install the gre.conf file
mkdir -p $RPM_BUILD_ROOT/etc/
echo [%{version}] > \
  $RPM_BUILD_ROOT/etc/gre.conf
echo GRE_PATH=%{_libdir}/mozilla-%{version} >> \
  $RPM_BUILD_ROOT/etc/gre.conf

%clean
#/bin/rm -rf $RPM_BUILD_ROOT

%post
grep "^%{_libdir}/mozilla-%{version}$" /etc/ld.so.conf &> /dev/null
[ $? -ne 0 ] && echo "%{_libdir}/mozilla-%{version}" >> /etc/ld.so.conf
grep "^%{_libdir}/mozilla-%{version}/components$" /etc/ld.so.conf &> /dev/null
[ $? -ne 0 ] && echo "%{_libdir}/mozilla-%{version}/components" >> /etc/ld.so.conf

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
if [ "$1" = "0" ]; then
    grep -v "^%{_libdir}/mozilla-%{version}$" /etc/ld.so.conf > /etc/ld.so.conf.new
    # preserve permissions
    cat /etc/ld.so.conf.new > /etc/ld.so.conf
    rm -f /etc/ld.so.conf.new
    grep -v "^%{_libdir}/mozilla-%{version}/components$" /etc/ld.so.conf > /etc/ld.so.conf.new
    # preserve permissions
    cat /etc/ld.so.conf.new > /etc/ld.so.conf
    rm -f /etc/ld.so.conf.new
fi

/sbin/ldconfig >/dev/null 2>/dev/null
# was this an upgrade?
if [ "$1" == "2" ]; then
  if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
      %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
  fi
fi

%triggerpostun -- mozilla < 1.0
# Older packages will leave mozilla unusable after the postun script
# script is run for the old package.  Rebuild the databases after that
# has been run.
if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%preun
# is a final removal?
if [ "$1" == "0" ]; then
  /bin/rm -rf %{_libdir}/mozilla-%{version}/chrome/overlayinfo
  /bin/rm -f %{_libdir}/mozilla-%{version}/chrome/*.rdf
fi

%post nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nspr
/sbin/ldconfig >/dev/null 2>/dev/null

%post nss
/sbin/ldconfig >/dev/null 2>/dev/null

%postun nss
/sbin/ldconfig >/dev/null 2>/dev/null

%post mail
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun mail

# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun chat
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    %{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files -f %{builddir}/mozilla.list
%defattr(-,root,root)
%{prefix}/bin/mozilla
%{_libdir}/mozilla-%{version}/mozilla-rebuild-databases.pl
/etc/gre.conf
%{prefix}/share/pixmaps/mozilla-icon.png
%{prefix}/share/pixmaps/mozilla-mail-icon.png
%{prefix}/share/pixmaps/mozilla-compose-icon.png

%verify (not md5 mtime size) %{_libdir}/mozilla-%{version}/components/compreg.dat
%verify (not md5 mtime size) %{_libdir}/mozilla-%{version}/components/xpti.dat

%{_mandir}/man1/mozilla.1.gz

%dir %{_libdir}/mozilla/plugins

%dir %{_libdir}/mozilla-%{version}/defaults/pref
%dir %{_libdir}/mozilla-%{version}/defaults/profile
%dir %{_libdir}/mozilla-%{version}/defaults/profile/US
%dir %{_libdir}/mozilla-%{version}/defaults/wallet
%dir %{_libdir}/mozilla-%{version}/defaults/autoconfig
%dir %{_libdir}/mozilla-%{version}/defaults/messenger/US
%dir %{_libdir}/mozilla-%{version}/defaults/messenger
%dir %{_libdir}/mozilla-%{version}/defaults

%dir %{_libdir}/mozilla-%{version}/chrome/icons/default
%dir %{_libdir}/mozilla-%{version}/chrome/icons
%dir %{_libdir}/mozilla-%{version}/chrome/lang
%dir %{_libdir}/mozilla-%{version}/chrome

%dir %{_libdir}/mozilla-%{version}/res/builtin
%dir %{_libdir}/mozilla-%{version}/res/rdf
%dir %{_libdir}/mozilla-%{version}/res/dtd
%dir %{_libdir}/mozilla-%{version}/res/fonts
%dir %{_libdir}/mozilla-%{version}/res

%dir %{_libdir}/mozilla-%{version}/components
%dir %{_libdir}/mozilla-%{version}/icons
%dir %{_libdir}/mozilla-%{version}/searchplugins

%dir %{_libdir}/mozilla-%{version}/plugins
%dir %{_libdir}/mozilla-%{version}/res/html
%dir %{_libdir}/mozilla-%{version}/res/samples
%dir %{_libdir}/mozilla-%{version}/res/entityTables

%{_libdir}/mozilla-%{version}/chrome/lang/installed-chrome.txt
%{_libdir}/mozilla-%{version}/chrome/lang/default.txt

%{_libdir}/mozilla-%{version}/chrome/de-DE.jar
%{_libdir}/mozilla-%{version}/chrome/de-DE-unix.jar
%{_libdir}/mozilla-%{version}/chrome/es-ES.jar
%{_libdir}/mozilla-%{version}/chrome/es-ES-unix.jar
%{_libdir}/mozilla-%{version}/chrome/fr-FR.jar
%{_libdir}/mozilla-%{version}/chrome/fr-FR-unix.jar
%{_libdir}/mozilla-%{version}/chrome/it-IT.jar
%{_libdir}/mozilla-%{version}/chrome/it-IT-unix.jar
%{_libdir}/mozilla-%{version}/chrome/ja-JP.jar
%{_libdir}/mozilla-%{version}/chrome/ja-JP-unix.jar
%{_libdir}/mozilla-%{version}/chrome/ko-KR.jar
%{_libdir}/mozilla-%{version}/chrome/ko-KR-unix.jar
%{_libdir}/mozilla-%{version}/chrome/lang/lang-de-DE.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-de-DE-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-fr-FR.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-fr-FR-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-it-IT.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-it-IT-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-es-ES.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-es-ES-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-zh-CN.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-zh-CN-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-zh-TW.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-zh-TW-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-ja-JP.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-ja-JP-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-ko-KR.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-ko-KR-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-pt-BR.jar.txt
%{_libdir}/mozilla-%{version}/chrome/lang/lang-pt-BR-unix.jar.txt
%{_libdir}/mozilla-%{version}/chrome/pt-BR.jar
%{_libdir}/mozilla-%{version}/chrome/pt-BR-unix.jar
%{_libdir}/mozilla-%{version}/chrome/zh-CN.jar
%{_libdir}/mozilla-%{version}/chrome/zh-CN-unix.jar
%{_libdir}/mozilla-%{version}/chrome/zh-TW.jar
%{_libdir}/mozilla-%{version}/chrome/zh-TW-unix.jar

%dir %{_libdir}/mozilla-%{version}

%if ! %{desktop_file}
/etc/X11/applnk/Internet/mozilla.desktop
%endif

%files nspr -f %{builddir}/mozilla-nspr.list
%defattr(-,root,root)

%files nspr-devel -f %{builddir}/mozilla-nspr-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nspr.pc
%{prefix}/bin/mozilla-config

%files nss -f %{builddir}/mozilla-nss.list
%defattr(-,root,root)

%files nss-devel -f %{builddir}/mozilla-nss-devel.list
%defattr(-,root,root)
%{_libdir}/pkgconfig/mozilla-nss.pc

%files mail -f %{builddir}/mozilla-mail.list
%defattr(-,root,root)
%dir %{_libdir}/mozilla-%{version}/chrome/icons/default
%dir %{_libdir}/mozilla-%{version}/chrome/icons
%dir %{_libdir}/mozilla-%{version}/chrome
%dir %{_libdir}/mozilla-%{version}/components
%dir %{_libdir}/mozilla-%{version}
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/applnk/Internet/mozilla-mail.desktop
/etc/X11/applnk/Internet/mozilla-compose.desktop
%endif

%files chat -f %{builddir}/mozilla-chat.list
%defattr(-,root,root)

%files js-debugger -f %{builddir}/mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f %{builddir}/mozilla-dom-inspector.list
%defattr(-,root,root)

%files devel -f %{builddir}/mozilla-devel.list
%defattr(-,root,root)
%{prefix}/share/idl/mozilla-%{version}/*
%{_libdir}/pkgconfig/mozilla-js.pc
%{_libdir}/pkgconfig/mozilla-plugin.pc
%{_libdir}/pkgconfig/mozilla-xpcom.pc
%{_libdir}/pkgconfig/mozilla-gtkmozembed.pc
%{_libdir}/mozilla-%{version}/xpcshell
%{_libdir}/mozilla-%{version}/xpidl
%{_libdir}/mozilla-%{version}/xpt_dump
%{_libdir}/mozilla-%{version}/xpt_link

%changelog
* Mon Aug 16 2004 Yasuma Takeda <yasuma@miraclelinux.com> 1.4.3-2.1.4ml
- update to a 1.4.3 to fix some security problems

* Fri Apr  9 2004 Akinobu Mita <mita@miraclelinux.com> 1.4.2-2.1.3ml
- prevent to set -UILocale.

* Wed Apr  7 2004 Akinobu Mita <mita@miraclelinux.com> 1.4.2-2.1.2ml
- set up our default bookmarks
- replace mozilla.desktop (Source4)
- configure ld.so.conf in post/postun scripts

* Tue Apr  6 2004 Akinobu Mita <mita@miraclelinux.com> 1.4.2-2.1.1ml
- enable to build on i686

* Tue Mar 24 2004 Chris Blizzard <blizzard@redhat.com> 37:1.4.2-3.0.0.SNAP
- Update to a 1.4.2.
- Time for a new changelog.
